Loading...
Searching...
No Matches
BALL::UnaryPredicate< T > Class Template Reference

`#include <BALL/CONCEPT/predicate.h>`

Inheritance diagram for BALL::UnaryPredicate< T >:

## Public Member Functions

virtual | ~UnaryPredicate ()
Predicates
virtual bool | operator() (const T &) const

## Detailed Description

template<typename T>
class BALL::UnaryPredicate< T >

Generic Unary Predicate Class

Definition at line 28 of file CONCEPT/predicate.h.

## Constructor & Destructor Documentation

## ~UnaryPredicate()

template<typename T>

virtual BALL::UnaryPredicate< T >::~UnaryPredicate | ( |  | ) |

inline virtual

Definition at line 33 of file CONCEPT/predicate.h.

## Member Function Documentation

## operator()()

template<typename T>

bool BALL::UnaryPredicate< T >::operator() | ( | const T & |  | ) | const

virtual

Reimplemented in BALL::KernelPredicate< T >, BALL::KernelPredicate< Atom >, BALL::KernelPredicate< Chain >, BALL::KernelPredicate< Fragment >, BALL::KernelPredicate< Molecule >, BALL::KernelPredicate< Protein >, and BALL::KernelPredicate< Residue >.

Definition at line 57 of file CONCEPT/predicate.h.